Subject: Re: [PATCHv3 00/13] the refs-transactions-reflog series

From: Junio C Hamano <[email-masked]>
Date: Thu, 04 Dec 2014 10:41:20 -0800

Stefan Beller <[email-masked]> writes:

> This is the whole refs-transactions-reflog series[1],
> which was in discussion for a bit already. It applies to origin/master.
>
> The idea is to have the reflog being part of the transactions, which
> the refs are already using, so the we're moving towards a database
> like API in the long run. This makes git easier to maintain as well
> as opening the possibility to replace the backend with a real database.
>
> If you've followed the topic a bit, start reading at patch
> "[PATCH 06/13] refs.c: add a transaction function to append a reflog"
> as the first 5 patches have been discussed a lot separately and
> can be found in origin/pu already[2].

> The first two patches are deduplicating code.
> The third patch is ripping some code out of log_ref_write and introduces
> log_ref_write_fd, which does the actual writing.
> The patches 4+5 are renaming variables for clarity.

Thanks.  It seems that we have a bit of hashing out the approaches
that is necessary between Michael's and this one.  I'll refrain from
picking this up for today (even though I would read it through as
time permits).  It might turn out to be necessary to drop those five
early patches from my tree when this series gets rerolled to take
input from the alternative Michael's working on, but that droppage
does not have to happen today.